<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
	<title>CarbonPHP Documentation</title>
	<style type="text/css">
		* {
			margin: 0;
			padding: 0;
		}

		html {
			font-family: "Lucida Sans Unicode", "Lucida Grande";
			font-size: 14px;
		}

		body {
			background: #fff;
			color: #666;
		}

		h1 {
			font-size: 15px;
			font-weight: bold;
			margin: 0 0 5px 0;
		}

		h2 {
			font-size: 13px;
			font-weight: bold;
			margin: 5px 0 5px 0;
		}

		ol, ul {
			margin: 10px 0 10px 0;
			list-style-position: inside;
		}

		p {
			margin: 5px 0 5px 0;
		}

		.content {
			border: 1px dotted #444;
			margin: 10px;
			padding: 10px;
			text-align: justify;
			width: 700px;
		}

		.example {
			border: 1px solid #ccc;
			background: #eee;
			margin: 10px;
			padding: 10px;
			text-align: left;
		}
	</style>
</head>

<body>
	<div class="content">
		<h1>Table Meta Data</h1>

		<p>This methods let you retrieve information about a specific table.</p>
	</div>

	<div class="content">
		<h1>$this->db->list_tables()</h1>

		<p>This method returns an array containing the names of all the tables in the database you are connected ot.</p>

		<div class="example">
			$tables = $this->db->list_tables();<br />
			<br />
			foreach ($tables as $table)<br />
			&#123;<br />
			&nbsp;&nbsp;&nbsp;&nbsp;echo $table;<br />
			&#125;
		</div>
	</div>

	<div class="content">
		<h1>$this->db->table_exists()</h1>

		<p>This method returns whether a table specified exists or not.</p>

		<div class="example">
			if ($this->db->table_exists('some_table'))<br />
			&#123;<br />
			&nbsp;&nbsp;&nbsp;&nbsp;// Execute some code...<br />
			&#125;
		</div>
	</div>
</body>

</html>
